#!/bin/bash

set -e

CWD=$(pwd)

. dvd.info

mkdir -p $FXP_ISO/$FXP_NAM-iso
ISONAME=$FXP_NAM-install-dvd.iso
cd $FXP_WWW/$FXP_NAM
mkisofs \
    -o $FXP_ISO/$FXP_NAM-iso/$ISONAME \
    -R -J -A "FreeSlack Install" \
    -hide-rr-moved \
    -v -d -N \
    -no-emul-boot -boot-load-size 4 -boot-info-table \
    -sort isolinux/iso.sort \
    -b isolinux/isolinux.bin \
    -c isolinux/isolinux.boot \
    -eltorito-alt-boot -no-emul-boot -eltorito-platform 0xEF \
    -eltorito-boot isolinux/efiboot.img \
    -m 'source' \
    -m 'fxp' \
    -V "FXPDVD" .

cd $FXP_ISO/$FXP_NAM-iso
md5sum $ISONAME > $ISONAME.md5
gpg2 -bas $ISONAME

cat << EOF > README.TXT
You can burn the iso image with a dvd burner of your choice, like k3b.
If you are installing from a USB stick, convert the image first with

isohybrid -u image-name.iso

and then copy it to a USB device with

cp image-name.iso /dev/sdX

EOF
