#!/bin/bash

set -e

CWD=$(pwd)

. isofiles.info
KERNEL_RELEASE=$VERSION-gnu


############################################################
# repackage initrd.img with free modules & firmware
############################################################

# unpack
cp initrd.img initrd-stock.gz
rm initrd-stock || :
gunzip initrd-stock.gz
rm -r unpacked || :
mkdir -p unpacked
cd unpacked
cpio -id < ../initrd-stock

# deblob
rm -r lib/firmware/* lib/modules/*
rsync -arv /lib/firmware/$KERNEL_RELEASE lib/firmware/
rsync -arv /lib/modules/$KERNEL_RELEASE lib/modules/

# pack
find . | cpio --create --format='newc' > ../initrd-fxp
cd ..
gzip -f initrd-fxp

# stage
mkdir -p $FXP_ARC/fxp/EFI/BOOT $FXP_ARC/fxp/isolinux
cp initrd-fxp.gz $FXP_ARC/fxp/EFI/BOOT/initrd.img
cp initrd-fxp.gz $FXP_ARC/fxp/isolinux/initrd.img

############################################################
# stage free huge kernel
############################################################

mkdir -p $FXP_ARC/fxp/EFI/BOOT $FXP_ARC/fxp/kernels/huge.s

cd /boot

cp vmlinuz-huge-$KERNEL_RELEASE $FXP_ARC/fxp/EFI/BOOT/huge.s

cp vmlinuz-huge-$KERNEL_RELEASE $FXP_ARC/fxp/kernels/huge.s/bzImage
cp System.map-huge-$KERNEL_RELEASE $FXP_ARC/fxp/kernels/huge.s/System.map.gz
cp config-huge-$KERNEL_RELEASE $FXP_ARC/fxp/kernels/huge.s/config
